## GMS Test Set Value request GMS Test Set Value request |

## Functions

QmiMessageGmsTestSetValueInput * | qmi_message_gms_test_set_value_input_new ()
QmiMessageGmsTestSetValueInput * | qmi_message_gms_test_set_value_input_ref ()
void | qmi_message_gms_test_set_value_input_unref ()
gboolean | qmi_message_gms_test_set_value_input_get_test_optional_value ()
gboolean | qmi_message_gms_test_set_value_input_set_test_optional_value ()
gboolean | qmi_message_gms_test_set_value_input_get_test_mandatory_value ()
gboolean | qmi_message_gms_test_set_value_input_set_test_mandatory_value ()
QmiMessageGmsTestSetValueOutput * | qmi_message_gms_test_set_value_output_ref ()
void | qmi_message_gms_test_set_value_output_unref ()
gboolean | qmi_message_gms_test_set_value_output_get_result ()
void | qmi_client_gms_test_set_value ()
QmiMessageGmsTestSetValueOutput * | qmi_client_gms_test_set_value_finish ()

## Types and Values

| QmiMessageGmsTestSetValueInput
| QmiMessageGmsTestSetValueOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageGmsTestSetValueInput
        ╰── QmiMessageGmsTestSetValueOutput

## Description

## Functions

### qmi_message_gms_test_set_value_input_new ()

    QmiMessageGmsTestSetValueInput *
    qmi_message_gms_test_set_value_input_new
                                   (void);

Allocates a new QmiMessageGmsTestSetValueInput.

#### Returns

the newly created QmiMessageGmsTestSetValueInput. The returned value should be freed with `qmi_message_gms_test_set_value_input_unref()`.

Since: 1.26

### qmi_message_gms_test_set_value_input_ref ()

    QmiMessageGmsTestSetValueInput *
    qmi_message_gms_test_set_value_input_ref
                                   (QmiMessageGmsTestSetValueInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageGmsTestSetValueInput. |

#### Returns

the new reference to `self` .

Since: 1.26

### qmi_message_gms_test_set_value_input_unref ()

    void
    qmi_message_gms_test_set_value_input_unref
                                   (QmiMessageGmsTestSetValueInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageGmsTestSetValueInput. |

Since: 1.26

### qmi_message_gms_test_set_value_input_get_test_optional_value ()

    gboolean
    qmi_message_gms_test_set_value_input_get_test_optional_value
                                   (QmiMessageGmsTestSetValueInput *self,
                                    guint8 *value_test_optional_value,
                                    GError **error);

Get the 'Test Optional Value' field from `self` .

#### Parameters

self | a QmiMessageGmsTestSetValueInput. |
value_test_optional_value | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_gms_test_set_value_input_set_test_optional_value ()

    gboolean
    qmi_message_gms_test_set_value_input_set_test_optional_value
                                   (QmiMessageGmsTestSetValueInput *self,
                                    guint8 value_test_optional_value,
                                    GError **error);

Set the 'Test Optional Value' field in the message.

#### Parameters

self | a QmiMessageGmsTestSetValueInput. |
value_test_optional_value | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_gms_test_set_value_input_get_test_mandatory_value ()

    gboolean
    qmi_message_gms_test_set_value_input_get_test_mandatory_value
                                   (QmiMessageGmsTestSetValueInput *self,
                                    guint8 *value_test_mandatory_value,
                                    GError **error);

Get the 'Test Mandatory Value' field from `self` .

#### Parameters

self | a QmiMessageGmsTestSetValueInput. |
value_test_mandatory_value | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_gms_test_set_value_input_set_test_mandatory_value ()

    gboolean
    qmi_message_gms_test_set_value_input_set_test_mandatory_value
                                   (QmiMessageGmsTestSetValueInput *self,
                                    guint8 value_test_mandatory_value,
                                    GError **error);

Set the 'Test Mandatory Value' field in the message.

#### Parameters

self | a QmiMessageGmsTestSetValueInput. |
value_test_mandatory_value | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_gms_test_set_value_output_ref ()

    QmiMessageGmsTestSetValueOutput *
    qmi_message_gms_test_set_value_output_ref
                                   (QmiMessageGmsTestSetValueOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageGmsTestSetValueOutput. |

#### Returns

the new reference to `self` .

Since: 1.26

### qmi_message_gms_test_set_value_output_unref ()

    void
    qmi_message_gms_test_set_value_output_unref
                                   (QmiMessageGmsTestSetValueOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageGmsTestSetValueOutput. |

Since: 1.26

### qmi_message_gms_test_set_value_output_get_result ()

    gboolean
    qmi_message_gms_test_set_value_output_get_result
                                   (QmiMessageGmsTestSetValueOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageGmsTestSetValueOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.26

### qmi_client_gms_test_set_value ()

    void
    qmi_client_gms_test_set_value (QmiClientGms *self,
                                   QmiMessageGmsTestSetValueInput *input,
                                   guint timeout,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously sends a Test Set Value request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_gms_test_set_value_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientGms. |
input | a QmiMessageGmsTestSetValueInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.26

### qmi_client_gms_test_set_value_finish ()

    QmiMessageGmsTestSetValueOutput *
    qmi_client_gms_test_set_value_finish (QmiClientGms *self,
                                          GAsyncResult *res,
                                          GError **error);

Finishes an async operation started with `qmi_client_gms_test_set_value()`.

#### Parameters

self | a QmiClientGms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_gms_test_set_value()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageGmsTestSetValueOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_gms_test_set_value_output_unref()`.

Since: 1.26

## Types and Values

### QmiMessageGmsTestSetValueInput

    typedef struct _QmiMessageGmsTestSetValueInput QmiMessageGmsTestSetValueInput;

The QmiMessageGmsTestSetValueInput structure contains private data and should only be accessed using the provided API.

Since: 1.26

### QmiMessageGmsTestSetValueOutput

    typedef struct _QmiMessageGmsTestSetValueOutput QmiMessageGmsTestSetValueOutput;

The QmiMessageGmsTestSetValueOutput structure contains private data and should only be accessed using the provided API.

Since: 1.26